commit 111d3397ceb17df166ec316d86a68cf56e927f00 (HEAD -> master)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jun 28 12:02:23 2018 +0200

    1.10

 NEWS         | 31 +++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 32 insertions(+), 1 deletion(-)

commit a599c802c03f048eceecb453814ac5b64fbade5a (origin/master, origin/HEAD)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jun 23 16:46:59 2018 +0200

    Add another glob for Raw Floppy Disk Images

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 85bd8cf04f401a80cde9f72a0cd08e16b9282a11
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 22 12:27:02 2018 +0200

    Add aliases for SAP and HFE mime-types
    
    As used in the Teo emulator

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 1387f4a54ff59abf4377224fe07f04be3a0fb766
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 22 12:26:44 2018 +0200

    Add a mime-type for raw floppy disk images

 freedesktop.org.xml.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5671d9e2ed53e2a8fcbebbe53f45ca6a6fc77e56
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 22 12:24:25 2018 +0200

    Fix indentation of Raw Disk Images mime-types

 freedesktop.org.xml.in | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 959291351d649b093fde9a9d327686fcd4e69e6c
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 10:16:23 2018 +0300

    application/vnd.youtube.yt: New type
    
    https://www.iana.org/assignments/media-types/application/vnd.youtube.yt

 freedesktop.org.xml.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit e987562f0f37fe525d5006d85d5bc3836dc226dd
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 09:55:05 2018 +0300

    audio/usac: New type
    
    https://www.iana.org/assignments/media-types/audio/usac

 freedesktop.org.xml.in | 7 +++++++
 1 file changed, 7 insertions(+)

commit 99ed700e1e2c9118e300c7e257618f4ecb8804ec
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 09:46:07 2018 +0300

    model/stl: Use new IANA type
    
    https://www.iana.org/assignments/media-types/model/stl

 freedesktop.org.xml.in | 15 ++++++---------
 tests/list             |  6 ++----
 2 files changed, 8 insertions(+), 13 deletions(-)

commit e6e3913ca76f253acb7241f9481ce0c7d4ef9857
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 09:33:33 2018 +0300

    application/xliff+xml: Use new IANA type

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 90edda28b8dca7a71232b72e680706508869f015
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 09:28:01 2018 +0300

    audio/aac: Add *.adts and *.ass globs from IANA
    
    https://www.iana.org/assignments/media-types/audio/aac

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 0395fc5281649e3f61dd9fa0e6cd0cd345d5a208
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 09:21:56 2018 +0300

    application/pkcs8-encrypted: New type
    
    https://www.iana.org/assignments/media-types/application/pkcs8-encrypted

 freedesktop.org.xml.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit 855cb8daff8eac292745a3986bd152f07e88711c
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 09:17:45 2018 +0300

    application/vnd.comicbook-rar: Use new IANA type

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 625b06fcdd3c523bc41a32033239014522e6ba4a
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 08:47:45 2018 +0300

    tests: Add sqlite2 test

 tests/list         |   2 ++
 tests/test.sqlite2 | Bin 0 -> 4096 bytes
 2 files changed, 2 insertions(+)

commit 3c14abcb43e17cc7d06c7f46cdc9dcb0c3eb178d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 08:47:29 2018 +0300

    application/x-sqlite2: Add *.sqlite2 glob

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 4dba90ae6cf7525dd88ef2cd04e8056c8f6d2605
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 08:43:17 2018 +0300

    tests: Add sqlite3 test

 tests/list         |   3 ++-
 tests/test.sqlite3 | Bin 0 -> 12288 bytes
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 36a88b01f6ae90da35a2f6a072db159c84cea768
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 17 08:41:32 2018 +0300

    application/vnd.sqlite3: Use new IANA type, add *.sqlite3 glob

 freedesktop.org.xml.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8cb5786e6867dd37d915418287ed4e99926dc30e
Author: Pino Toscano <pino@kde.org>
Date:   Mon Jun 4 17:33:07 2018 +0200

    Add text/x-perl alias to application/x-perl
    
    text/x-perl is the name for Perl scripts in the old MIME type system,
    and thus produced e.g. as content-type by users of that MIME system.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=106813

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 7c7f84e2a77f4142cf77ebdf239deaa14c842f9c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 4 13:25:30 2018 +0200

    Remove magic from STL binary
    
    3-NUL bytes aren't enough to be sure that this will only ever match STL
    binary headers.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=106330

 freedesktop.org.xml.in | 7 -------
 tests/list             | 2 +-
 2 files changed, 1 insertion(+), 8 deletions(-)

commit 1e6b421a6c8c2dce3e430a4e2b963a9efd369aa2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 4 13:23:29 2018 +0200

    Add test for bug 106330
    
    The first 32k of an ISO file.

 tests/bug106330.iso | Bin 0 -> 32768 bytes
 tests/list          |   1 +
 2 files changed, 1 insertion(+)

commit d7ba16d1b8dae1d08b6dfa45b4b619cb1a372539
Author: Joachim Bauch <bauch@struktur.de>
Date:   Tue May 29 10:57:49 2018 +0000

    Add mime-type for HEIF images
    
    https://bugs.freedesktop.org/show_bug.cgi?id=106691

 freedesktop.org.xml.in |  10 ++++++++++
 tests/example.heic     | Bin 0 -> 16384 bytes
 tests/example.heif     | Bin 0 -> 16384 bytes
 tests/list             |   2 ++
 4 files changed, 12 insertions(+)

commit ce12f187bfb157b13b7d854b2a2d1a3e50be91e7
Author: David Faure <faure@kde.org>
Date:   Thu Apr 26 19:14:48 2018 +0200

    Check 128 bytes rather than 32.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97372

 shared-mime-info-spec.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8e6917273078d99f592be4e539381263ce6df6ca
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Apr 26 14:40:42 2018 +0200

    po: Update translations
    
    Adding Belarusian and Friulian translations.

 po/LINGUAS        |    2 +
 po/ar.po          | 1557 ++++++++++++++-------------
 po/as.po          | 1555 ++++++++++++++-------------
 po/ast.po         | 1631 ++++++++++++++--------------
 po/az.po          | 1555 ++++++++++++++-------------
 po/be.po          | 3107 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/bg.po          | 1557 ++++++++++++++-------------
 po/bn_IN.po       | 1555 ++++++++++++++-------------
 po/ca.po          | 1553 +++++++++++++-------------
 po/ca@valencia.po | 1557 ++++++++++++++-------------
 po/cs.po          | 1597 ++++++++++++++-------------
 po/cy.po          | 1555 ++++++++++++++-------------
 po/da.po          | 1557 ++++++++++++++-------------
 po/de.po          | 1557 ++++++++++++++-------------
 po/el.po          | 1557 ++++++++++++++-------------
 po/en_GB.po       | 1633 ++++++++++++++--------------
 po/eo.po          | 1557 ++++++++++++++-------------
 po/es.po          | 1555 ++++++++++++++-------------
 po/et.po          | 1555 ++++++++++++++-------------
 po/eu.po          | 1567 ++++++++++++++-------------
 po/fa.po          | 1555 ++++++++++++++-------------
 po/fi.po          | 1555 ++++++++++++++-------------
 po/fo.po          | 1557 ++++++++++++++-------------
 po/fr.po          | 1559 ++++++++++++++-------------
 po/fur.po         | 3107 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ga.po          | 1559 ++++++++++++++-------------
 po/gl.po          | 1557 ++++++++++++++-------------
 po/gu.po          | 1555 ++++++++++++++-------------
 po/he.po          | 1557 ++++++++++++++-------------
 po/hi.po          | 1555 ++++++++++++++-------------
 po/hr.po          | 1557 ++++++++++++++-------------
 po/hu.po          | 1557 ++++++++++++++-------------
 po/ia.po          | 1557 ++++++++++++++-------------
 po/id.po          | 1611 ++++++++++++++-------------
 po/it.po          | 1555 ++++++++++++++-------------
 po/ja.po          | 1557 ++++++++++++++-------------
 po/ka.po          | 1555 ++++++++++++++-------------
 po/kk.po          | 1553 +++++++++++++-------------
 po/kn.po          | 1555 ++++++++++++++-------------
 po/ko.po          | 1553 +++++++++++++-------------
 po/lt.po          | 1557 ++++++++++++++-------------
 po/lv.po          | 1557 ++++++++++++++-------------
 po/ml.po          | 1555 ++++++++++++++-------------
 po/mr.po          | 1555 ++++++++++++++-------------
 po/ms.po          | 1557 ++++++++++++++-------------
 po/nb.po          | 1557 ++++++++++++++-------------
 po/nl.po          | 1557 ++++++++++++++-------------
 po/nn.po          | 1557 ++++++++++++++-------------
 po/oc.po          | 1559 ++++++++++++++-------------
 po/or.po          | 1555 ++++++++++++++-------------
 po/pa.po          | 1555 ++++++++++++++-------------
 po/pl.po          | 1561 ++++++++++++++-------------
 po/pt.po          | 1557 ++++++++++++++-------------
 po/pt_BR.po       | 1568 ++++++++++++++-------------
 po/ro.po          | 1557 ++++++++++++++-------------
 po/ru.po          | 1561 ++++++++++++++-------------
 po/sk.po          | 1553 +++++++++++++-------------
 po/sl.po          | 1557 ++++++++++++++-------------
 po/sq.po          | 1557 ++++++++++++++-------------
 po/sr.po          | 1559 ++++++++++++++-------------
 po/sr@latin.po    | 1557 ++++++++++++++-------------
 po/sv.po          | 1554 ++++++++++++++-------------
 po/ta.po          | 1555 ++++++++++++++-------------
 po/te.po          | 1555 ++++++++++++++-------------
 po/th.po          | 1555 ++++++++++++++-------------
 po/tr.po          | 1559 ++++++++++++++-------------
 po/uk.po          | 1553 +++++++++++++-------------
 po/vi.po          | 1557 ++++++++++++++-------------
 po/wa.po          | 1555 ++++++++++++++-------------
 po/zh_CN.po       | 1553 +++++++++++++-------------
 po/zh_HK.po       | 1555 ++++++++++++++-------------
 po/zh_TW.po       | 1553 +++++++++++++-------------
 72 files changed, 62211 insertions(+), 51646 deletions(-)

commit fbc73fb12e8c22d7718351f7e4ef6cd9603da34a
Author: Exalm <exalm7659@gmail.com>
Date:   Sun Apr 15 13:07:16 2018 +0000

    Differentiate Neo Geo Pocket Color ROMs from non-Color ones
    
    Add an 'application/x-neo-geo-pocket-color-rom' MIME type, as opposed to
    'application-x-neo-geo-pocket-rom'.
    
    Neo Geo Pocket Color ROMs usually have '.ngc' extension instead of
    '.ngp', and their 0x23rd byte in the header is different from NGP ones.
    
    The first 9 characters in the header can either be "COPYRIGHT" or
    " LICENSED" with a leading space.
    
    Also update application/x-neo-geo-pocket-rom test to use an actual NGP
    game instead of a Neo-Geo Pocket Color one.
    
    http://bugzilla.freedesktop.org/show_bug.cgi?id=106055

 freedesktop.org.xml.in              |  16 +++++++++++++++-
 tests/list                          |   4 +++-
 tests/neo-geo-pocket-color-test.ngc | Bin 0 -> 1024 bytes
 tests/neo-geo-pocket-test.ngp       | Bin 1024 -> 1024 bytes
 4 files changed, 18 insertions(+), 2 deletions(-)

commit 8311e418a502589b22894a375b7473249b4decf3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 24 13:19:43 2018 +0200

    Remove extra linefeed in debug output
    
    g_message() already appends a linefeed.

 update-mime-database.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 0a698126bae762b728a10b17fc995f700138ad56
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 24 13:19:03 2018 +0200

    Add some debug when parsing XML package files
    
    So as to know in which order they are processed.

 update-mime-database.c | 2 ++
 1 file changed, 2 insertions(+)

commit fc149b7615deecf3c3af73bcc5ee98a4b716fbac
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 23 12:12:00 2018 +0200

    Look in obsolete KDE sub-dirs for clean up opportunities
    
    media_types[] is also used to list the possible directories to look into
    for clean up opportunities, when recreating shared-mime-info's cache.
    
    This will clean up files left-over by old versions of KDE.
    
    https://github.com/KDE/kcoreaddons/commit/36ff1bf60c9b12c28ed4d7566abceac10cab345e
    
    https://bugs.freedesktop.org/show_bug.cgi?id=16816

 update-mime-database.c | 3 +++
 1 file changed, 3 insertions(+)

commit 553aa73de2c6a5bb221bcd9153c2425cd236c703
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Apr 23 12:10:29 2018 +0200

    Don't warn with unknown top level type names
    
    Old broken mime-types still lie around, and just won't go away after
    years. I'd rather like never to hear about things that aren't
    shared-mime-info bugs, so drop the priority of the logs to Message.
    
    Use the "-V" to display those again.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=16816

 update-mime-database.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 009f22a12a5f34269cd925eed4552685997ab6ca
Author: David Faure <faure@kde.org>
Date:   Sun Jan 28 10:36:22 2018 +0100

    Remove *.bin from application/octet-stream
    
    It prevents better detection of the actual mimetype (octet-stream
    meaning "unknown type of file", really) and (in Qt) leads to a preferred suffix
    of .bin when saving a file due to this being the only glob (and
    therefore the preferred glob).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101667

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit 363e903f7400037648eaa6f79a22e09815a79bb8
Author: Shawn Rutledge <shawn.rutledge@qt.io>
Date:   Fri Jan 26 08:34:08 2018 +0100

    Change Qt Linguist file type to text/vnd.qt.linguist
    
    TrollTech doesn't exist anymore: now Qt is the name of the company,
    the non-profit foundation, and the product. This change will makes this
    file type more recognizable in the future when TrollTech may be
    forgotten.
    
    Also update linguist.ts to look like a current (Qt 5.11) translation file.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=104799

 freedesktop.org.xml.in | 3 ++-
 tests/linguist.ts      | 8 +++++---
 tests/list             | 4 ++--
 3 files changed, 9 insertions(+), 6 deletions(-)

commit 7a505454a8a109b41d486cb529a4d85d927c188a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 23 18:23:47 2018 +0100

    Add MPEG-4 Ringtone mime-type
    
    As used by iTunes and iOS.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=104706

 freedesktop.org.xml.in |   5 +++++
 tests/list             |   1 +
 tests/ringtone.m4r     | Bin 0 -> 512 bytes
 3 files changed, 6 insertions(+)

commit c8153d039fa9552121d22a650e8912afb8eb831f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jan 20 14:38:15 2018 +0100

    Bump priority for our DjVu mime-types
    
    To make sure they're preferred to the djvulibre package ones. The
    djvulibre packages provide a version of the magic that'll always detect
    multi-page documents as "images". We want them to be opened as
    multi-page documents.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=787481
    See https://sourceforge.net/p/djvu/bugs/283/
    See https://sourceforge.net/p/djvu/bugs/85/
    See http://pkgs.fedoraproject.org/cgit/rpms/djvulibre.git/tree/djvulibre.spec#n168

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit eb4032e0cc3fa77af48ace423fdad42ce6e14d43
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 9 14:47:11 2018 +0100

    Add mime-type for MJPEG raw streams
    
    They look like JPEG files, and will display as images if opened
    in an image viewer, but they can also be opened by movie players for
    moving pictures.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=792325

 freedesktop.org.xml.in |   8 ++++++++
 tests/list             |   2 ++
 tests/raw-mjpeg.mjpeg  | Bin 0 -> 262144 bytes
 3 files changed, 10 insertions(+)

commit fb8f959edab22797c61a959b28084683cc2bf826
Author: Shawn Rutledge <shawn.rutledge@qt.io>
Date:   Fri Jan 5 11:32:32 2018 +0100

    fix the QML magic
    
    We can only say that some module starting with Qt or Qml will be imported
    (as long as it's not QML for BB Cascades or some web framework or...)
    and something will be declared with braces after.  The declaration must
    start with a capital letter but we have no way to express that.
    Alternatively, any script starting with shebang qml must be qml.
    
    Added more tests.  The PySide minimal example is public domain, from
    https://bitbucket.org/techtonik/pyside-copy-paste/src/5f8c1f8cf12d8fb18a1d35d98acc8200c904c56d/01.minimal.py?at=default&fileviewer=file-view-default
    
    https://bugs.freedesktop.org/show_bug.cgi?id=104480

 freedesktop.org.xml.in |  8 +++++++-
 tests/list             |  5 +++++
 tests/plugins.qmltypes | 23 +++++++++++++++++++++++
 tests/pyside.py        |  5 +++++
 tests/rectangle.qml    |  7 ++-----
 tests/shebang.qml      |  3 +++
 tests/text.qmlproject  | 17 +++++++++++++++++
 7 files changed, 62 insertions(+), 6 deletions(-)

commit 1cca52e574a3583f96a809455f17148d863b7788
Author: Yanko Kaneti <yaneti@declera.com>
Date:   Tue Nov 28 11:11:42 2017 +0200

    Add an application/xps alias for application/oxps
    
    Apple Mail attaches .xps files as application/xps
    
    https://bugs.freedesktop.org/show_bug.cgi?id=103969

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 71a226620c948ebbc65fdab834a2f54ce6ca9e31 (tag: Release-1-9)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 18 13:16:07 2017 +0200

    1.9

 NEWS         | 27 +++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 28 insertions(+), 1 deletion(-)

commit 4caaa84b89fd391bfb1f77da3c7ea570b4a557b5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 18 13:33:47 2017 +0200

    build: Fix distcheck
    
    Was broken since font top-level addition in 583aeed

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f240799d7b3a479d13c9f19471f4966e4683a7f9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 18 13:07:17 2017 +0200

    po: Update translations

 po/ar.po          | 1182 +++++++++++++------------
 po/as.po          | 1178 ++++++++++++------------
 po/az.po          | 1180 ++++++++++++------------
 po/bg.po          | 1182 +++++++++++++------------
 po/bn_IN.po       | 1178 ++++++++++++------------
 po/ca.po          | 1226 +++++++++++++------------
 po/ca@valencia.po | 1178 ++++++++++++------------
 po/cs.po          | 1222 +++++++++++++------------
 po/cy.po          | 1180 ++++++++++++------------
 po/da.po          | 1182 +++++++++++++------------
 po/de.po          | 1192 +++++++++++++------------
 po/el.po          | 1182 +++++++++++++------------
 po/en_GB.po       | 1182 +++++++++++++------------
 po/eo.po          | 1180 ++++++++++++------------
 po/es.po          | 1188 +++++++++++++------------
 po/et.po          | 1178 ++++++++++++------------
 po/eu.po          | 1182 +++++++++++++------------
 po/fa.po          | 1178 ++++++++++++------------
 po/fi.po          | 1198 +++++++++++++------------
 po/fo.po          | 1182 +++++++++++++------------
 po/fr.po          | 1188 +++++++++++++------------
 po/ga.po          | 1182 +++++++++++++------------
 po/gl.po          | 1182 +++++++++++++------------
 po/gu.po          | 1178 ++++++++++++------------
 po/he.po          | 1184 +++++++++++++------------
 po/hi.po          | 1178 ++++++++++++------------
 po/hr.po          | 1560 ++++++++++++++++----------------
 po/hu.po          | 1186 +++++++++++++------------
 po/ia.po          | 1182 +++++++++++++------------
 po/id.po          | 1242 +++++++++++++-------------
 po/it.po          | 1183 +++++++++++++------------
 po/ja.po          | 1182 +++++++++++++------------
 po/ka.po          | 1180 ++++++++++++------------
 po/kk.po          | 1184 +++++++++++++------------
 po/kn.po          | 1178 ++++++++++++------------
 po/ko.po          | 1182 +++++++++++++------------
 po/lt.po          | 1182 +++++++++++++------------
 po/lv.po          | 1182 +++++++++++++------------
 po/ml.po          | 1178 ++++++++++++------------
 po/mr.po          | 1178 ++++++++++++------------
 po/ms.po          | 1180 ++++++++++++------------
 po/nb.po          | 1182 +++++++++++++------------
 po/nl.po          | 1182 +++++++++++++------------
 po/nn.po          | 1182 +++++++++++++------------
 po/oc.po          | 1184 +++++++++++++------------
 po/or.po          | 1178 ++++++++++++------------
 po/pa.po          | 1178 ++++++++++++------------
 po/pl.po          | 1184 +++++++++++++------------
 po/pt.po          | 1182 +++++++++++++------------
 po/pt_BR.po       | 1182 +++++++++++++------------
 po/ro.po          | 1182 +++++++++++++------------
 po/ru.po          | 2558 +++++++++++++++++++++++++++--------------------------
 po/sk.po          | 1184 +++++++++++++------------
 po/sl.po          | 1182 +++++++++++++------------
 po/sq.po          | 1182 +++++++++++++------------
 po/sr.po          | 1259 +++++++++++++-------------
 po/sr@latin.po    | 1178 ++++++++++++------------
 po/sv.po          | 1235 +++++++++++++-------------
 po/ta.po          | 1178 ++++++++++++------------
 po/te.po          | 1178 ++++++++++++------------
 po/th.po          | 1178 ++++++++++++------------
 po/tr.po          | 1234 +++++++++++++-------------
 po/uk.po          | 1184 +++++++++++++------------
 po/vi.po          | 1182 +++++++++++++------------
 po/wa.po          | 1178 ++++++++++++------------
 po/zh_CN.po       | 1506 ++++++++++++++++---------------
 po/zh_HK.po       | 1178 ++++++++++++------------
 po/zh_TW.po       | 1190 +++++++++++++------------
 68 files changed, 43151 insertions(+), 39610 deletions(-)

commit 4f04c2ef485924e272b410b21ef0d8b84f37cc79
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 18 13:07:05 2017 +0200

    po: Add Asturian translation

 po/LINGUAS |    1 +
 po/ast.po  | 3045 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3046 insertions(+)

commit e9445111472fa7678929e8126146bf9c45af6440
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 18 13:02:38 2017 +0200

    Fix up AppImage "Type 2" description
    
    Users don't really need to know it's "type 2".

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c643cab25b8a4ea17e73eae5bc318c840f0e3d4b
Author: Elvis Angelaccio <elvis.angelaccio@kde.org>
Date:   Wed Sep 6 19:45:10 2017 +0200

    Add mimetype for AppImage Type 2
    
    The glob pattern is the same as in the Type 1 format, so lookup by
    filename is necessarily expected to fail. Applications will have to
    disambiguate through the magic bytes.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=100608

 freedesktop.org.xml.in                          |  17 +++++++++++++++++
 tests/Leafpad-0.8.18.1.glibc2.4-x86_64.AppImage | Bin 0 -> 200 bytes
 tests/list                                      |   2 ++
 3 files changed, 19 insertions(+)

commit 802530ada012a36ed63c4c15e7547b88582e7b79
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun May 21 13:18:31 2017 +0200

    Add application/x-virtual-boy-rom
    
    There may be a collision between Virtual Boy ROM files and Visual
    Basic source files, but those don't have any test files, so we
    cannot know.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101137

 freedesktop.org.xml.in          |   5 +++++
 tests/list                      |   2 ++
 tests/virtual-boy-wario-land.vb | Bin 0 -> 1024 bytes
 3 files changed, 7 insertions(+)

commit 8a3f5b02d08745ea7259eff13e44c326e6323d04
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun May 21 09:01:09 2017 +0200

    Add test files for application/x-msx-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101133

 tests/list                      |   4 ++++
 tests/msx-penguin-adventure.msx | Bin 0 -> 1024 bytes
 tests/msx2-metal-gear.msx       | Bin 0 -> 1024 bytes
 3 files changed, 4 insertions(+)

commit 5770d10a79591add24106204c748e5c94b2a0544
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Tue Aug 22 18:35:30 2017 -0600

    Rename application/x-trig to application/trig
    
    The TriG representation of RDF data was assigned the media type
    "application/trig" in November 2016.
    See https://www.iana.org/assignments/media-types/application/trig
    
    Furthermore, the page http://wifo5-03.informatik.uni-mannheim.de/bizer/TriG/ no
    longer exists. The TriG specification can be found at
    https://www.w3.org/TR/2014/REC-trig-20140225/
    
    https://bugs.freedesktop.org/show_bug.cgi?id=102361

 freedesktop.org.xml.in | 4 ++--
 tests/list             | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 27e31f1d2e910a8bfa034f566c25c97f869b5c1b
Author: Bradley Farias <bradley.meck@gmail.com>
Date:   Wed Aug 2 17:09:48 2017 -0500

    Add *.mjs glob for Javascript
    
    As used in Node.js related projects.
    
    Web browsers will not be using any new MIME as seen in the MIME check of:
    https://html.spec.whatwg.org/multipage/webappapis.html#fetch-a-single-module-script
    
    This means `.mjs` should be served with the same MIME to have files work in
    both Node.js and the web.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=102019

 freedesktop.org.xml.in | 1 +
 tests/esm.mjs          | 2 ++
 tests/list             | 1 +
 3 files changed, 4 insertions(+)

commit 9a730831d20245c5a9e59afe127b20609a0a64f1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 19 19:29:58 2017 +0200

    Add an alias for Adobe Illustrator formats
    
    Found in the wild.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit c2330e47244bd0af3b73ed515aaa1492b03a78db
Author: Martin Blanchard <tchaik@gmx.com>
Date:   Sun Jun 18 18:02:20 2017 +0200

    Add support for GIMP data files (.gbr, .gih, .pat)
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31922

 freedesktop.org.xml.in |  18 ++++++++++++++++++
 tests/list             |   4 +++-
 tests/test.gbr         | Bin 0 -> 1639 bytes
 tests/test.gih         | Bin 0 -> 1761 bytes
 4 files changed, 21 insertions(+), 1 deletion(-)

commit 250253ec0de3bc8ba414ea187fa4148031f6366e
Author: Martin Blanchard <tchaik@gmx.com>
Date:   Sat Jun 10 23:55:34 2017 +0200

    Better JPEG 2000 MIME type support
    
    Enhance JPEG 2000 MIME type support by distinguishing subtypes:
      - JPC: JPEG 2000 codestream (image/x-jp2-codestream)
      - JP2: JPEG 2000 JP2/Part 1 image (image/jp2)
      - JPX: JPEG 2000 JPX/Part 2 image (image/jpx)
      - JPM: JPEG 2000 JPM/Part 6 image (image/jpm)
      - MJ2: JPEG 2000 MJ2/Part 3 video (video/mj2)
    See RFC 3745 for details, MIME types and extensions.
    Test files, except MJ2, contributed by Johan van der Knijff
    at https://github.com/bitsgalore/jp2kMagic
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94423

 freedesktop.org.xml.in |  50 ++++++++++++++++++++++++++++++++++++++++++-------
 tests/balloon.j2c      | Bin 0 -> 628385 bytes
 tests/balloon.jp2      | Bin 0 -> 670265 bytes
 tests/balloon.jpf      | Bin 0 -> 628654 bytes
 tests/balloon.jpm      | Bin 0 -> 888827 bytes
 tests/balloon.mj2      | Bin 0 -> 33473 bytes
 tests/list             |   7 ++++++-
 tests/test.jp2         | Bin 1174 -> 0 bytes
 8 files changed, 49 insertions(+), 8 deletions(-)

commit c3cf77c85006953c8c0756b1bcf0b2f85854947e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 6 10:30:22 2017 +0200

    Remove AppImage glob with different casing
    
    globs are case insensitive by default.
    
    See https://bugs.freedesktop.org/show_bug.cgi?id=100608#c4

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit 4f272621daa04f9cedf65d60690aa5e33318c768
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun May 21 09:51:12 2017 +0200

    Add application/x-wonderswan-color-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101135

 freedesktop.org.xml.in             |   5 +++++
 tests/list                         |   2 ++
 tests/wonderswan-color-chocobo.wsc | Bin 0 -> 1024 bytes
 3 files changed, 7 insertions(+)

commit 2f8690db715ec1a60c01ec8e930690cb6d27b82d
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun May 21 09:50:54 2017 +0200

    Add application/x-wonderswan-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101135

 freedesktop.org.xml.in            |   5 +++++
 tests/list                        |   2 ++
 tests/wonderswan-rockman-forte.ws | Bin 0 -> 1024 bytes
 3 files changed, 7 insertions(+)

commit 08accf0e514157197b05e222f16bc38ea2b9247f
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun May 21 09:18:41 2017 +0200

    Add application/x-atari-lynx-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101134

 freedesktop.org.xml.in               |   8 ++++++++
 tests/atari-lynx-chips-challenge.lnx | Bin 0 -> 1024 bytes
 tests/list                           |   2 ++
 3 files changed, 10 insertions(+)

commit 107ca505d667f3e11facea5fe31d564e91007185
Author: Hans Petter Jansson <hpj@cl.no>
Date:   Sun Jul 3 21:12:51 2016 +0200

    Add Audible.com mime type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94889

 freedesktop.org.xml.in |  12 ++++++++++++
 tests/list             |   3 +++
 tests/test.aa          | Bin 0 -> 32768 bytes
 tests/test.aax         | Bin 0 -> 32768 bytes
 4 files changed, 15 insertions(+)

commit 0676217e4e4429453d8e86479cdae616ab057482
Author: Philip Withnall <withnall@endlessm.com>
Date:   Thu Mar 2 11:58:56 2017 +0000

    Add text/x-python3 content type
    
    This derives from the text/x-python content type, and is attached to
    files with a .py3 extension, or which have a python3 shebang line.
    Otherwise, text/x-python is preferred.
    
    This is necessary because Python 3 is not compatible with Python 2, and
    introduces some new keywords (such as ‘nonlocal’) which need to be
    syntax highlighted differently (for example).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=100034

 freedesktop.org.xml.in | 25 ++++++++++++++++++++++---
 tests/list             |  3 +++
 tests/test.py3         | 19 +++++++++++++++++++
 tests/test3.py         | 19 +++++++++++++++++++
 4 files changed, 63 insertions(+), 3 deletions(-)

commit 4ab969c398671c519a10a601ad3eeb46f04361de
Author: Kevin Funk <kfunk@kde.org>
Date:   Sat Mar 4 01:22:00 2017 +0100

    Add OpenCL mime-type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=26913

 freedesktop.org.xml.in |  7 +++++++
 tests/list             |  3 +++
 tests/test.cl          | 24 ++++++++++++++++++++++++
 3 files changed, 34 insertions(+)

commit ea531e45cb4afbca7ff34c63cb20af2d6bdca5df
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 8 16:56:22 2017 +0100

    Fix RW2 test
    
    As required by 8cbd1a3

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8cbd1a38b0bb0a62020984572fd5a33233245239
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 7 11:03:57 2017 +0100

    Rename Panasonic RAW image mime-types to image/x-panasonic-rw*
    
    As used in exiv2 since October 2010, a couple of weeks before the
    mime-type was added to shared-mime-info:
    http://dev.exiv2.org/projects/exiv2/wiki/Supported_image_formats/13
    
    This was likely a typo in the original definition.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=100078

 freedesktop.org.xml.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 55a88f1c59beecd4e706e4340e8183336daf5e5f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 11 18:25:20 2017 +0100

    Update translations from Transifex

 po/ar.po          | 1150 ++++++++++++++++++++---------------------
 po/as.po          | 1150 ++++++++++++++++++++---------------------
 po/az.po          | 1150 ++++++++++++++++++++---------------------
 po/bg.po          | 1150 ++++++++++++++++++++---------------------
 po/bn_IN.po       | 1150 ++++++++++++++++++++---------------------
 po/ca.po          | 1150 ++++++++++++++++++++---------------------
 po/ca@valencia.po | 1150 ++++++++++++++++++++---------------------
 po/cs.po          | 1201 ++++++++++++++++++++++---------------------
 po/cy.po          | 1150 ++++++++++++++++++++---------------------
 po/da.po          | 1152 ++++++++++++++++++++---------------------
 po/de.po          | 1150 ++++++++++++++++++++---------------------
 po/el.po          | 1150 ++++++++++++++++++++---------------------
 po/en_GB.po       | 1150 ++++++++++++++++++++---------------------
 po/eo.po          | 1150 ++++++++++++++++++++---------------------
 po/es.po          | 1152 ++++++++++++++++++++---------------------
 po/et.po          | 1150 ++++++++++++++++++++---------------------
 po/eu.po          | 1204 ++++++++++++++++++++++---------------------
 po/fa.po          | 1150 ++++++++++++++++++++---------------------
 po/fi.po          | 1152 ++++++++++++++++++++---------------------
 po/fo.po          | 1150 ++++++++++++++++++++---------------------
 po/fr.po          | 1152 ++++++++++++++++++++---------------------
 po/ga.po          | 1481 +++++++++++++++++++++++++++--------------------------
 po/gl.po          | 1150 ++++++++++++++++++++---------------------
 po/gu.po          | 1150 ++++++++++++++++++++---------------------
 po/he.po          | 1160 ++++++++++++++++++++---------------------
 po/hi.po          | 1150 ++++++++++++++++++++---------------------
 po/hr.po          | 1199 ++++++++++++++++++++++---------------------
 po/hu.po          | 1152 ++++++++++++++++++++---------------------
 po/ia.po          | 1150 ++++++++++++++++++++---------------------
 po/id.po          | 1150 ++++++++++++++++++++---------------------
 po/it.po          | 1198 ++++++++++++++++++++++---------------------
 po/ja.po          | 1152 ++++++++++++++++++++---------------------
 po/ka.po          | 1150 ++++++++++++++++++++---------------------
 po/kk.po          | 1150 ++++++++++++++++++++---------------------
 po/kn.po          | 1150 ++++++++++++++++++++---------------------
 po/ko.po          | 1170 +++++++++++++++++++++---------------------
 po/lt.po          | 1150 ++++++++++++++++++++---------------------
 po/lv.po          | 1150 ++++++++++++++++++++---------------------
 po/ml.po          | 1150 ++++++++++++++++++++---------------------
 po/mr.po          | 1150 ++++++++++++++++++++---------------------
 po/ms.po          | 1150 ++++++++++++++++++++---------------------
 po/nb.po          | 1150 ++++++++++++++++++++---------------------
 po/nl.po          | 1150 ++++++++++++++++++++---------------------
 po/nn.po          | 1150 ++++++++++++++++++++---------------------
 po/oc.po          | 1159 ++++++++++++++++++++---------------------
 po/or.po          | 1150 ++++++++++++++++++++---------------------
 po/pa.po          | 1150 ++++++++++++++++++++---------------------
 po/pl.po          | 1152 ++++++++++++++++++++---------------------
 po/pt.po          | 1150 ++++++++++++++++++++---------------------
 po/pt_BR.po       | 1168 +++++++++++++++++++++---------------------
 po/ro.po          | 1150 ++++++++++++++++++++---------------------
 po/ru.po          | 1152 ++++++++++++++++++++---------------------
 po/sk.po          | 1150 ++++++++++++++++++++---------------------
 po/sl.po          | 1150 ++++++++++++++++++++---------------------
 po/sq.po          | 1150 ++++++++++++++++++++---------------------
 po/sr.po          | 1198 ++++++++++++++++++++++---------------------
 po/sr@latin.po    | 1150 ++++++++++++++++++++---------------------
 po/sv.po          | 1150 ++++++++++++++++++++---------------------
 po/ta.po          | 1150 ++++++++++++++++++++---------------------
 po/te.po          | 1150 ++++++++++++++++++++---------------------
 po/th.po          | 1150 ++++++++++++++++++++---------------------
 po/tr.po          | 1150 ++++++++++++++++++++---------------------
 po/uk.po          | 1150 ++++++++++++++++++++---------------------
 po/vi.po          | 1150 ++++++++++++++++++++---------------------
 po/wa.po          | 1150 ++++++++++++++++++++---------------------
 po/zh_CN.po       | 1156 ++++++++++++++++++++---------------------
 po/zh_HK.po       | 1150 ++++++++++++++++++++---------------------
 po/zh_TW.po       | 1150 ++++++++++++++++++++---------------------
 68 files changed, 39704 insertions(+), 39156 deletions(-)

commit abf74d4281bf5476fdaa58afd2d2ecfb74328432
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 11 18:05:37 2017 +0100

    po: Remove duplicate Bulgarian, Persian and Russian translations
    
    https://bugs.freedesktop.org/show_bug.cgi?id=99775

 po/LINGUAS  |    5 +-
 po/bg_BG.po | 2675 ----------------------------------------------------
 po/fa_IR.po | 2675 ----------------------------------------------------
 po/ru_RU.po | 2984 -----------------------------------------------------------
 4 files changed, 1 insertion(+), 8338 deletions(-)

commit cebf1240e205b3f9cc16cb3733c27b27490976ad
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Feb 8 13:21:15 2017 +0200

    font/woff2: New type
